@font-face {
  font-family: "Paperlogy";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/2408-3@1.0/Paperlogy-1Thin.woff2")
    format("woff2");
  font-weight: 100;
  font-display: swap;
}

@font-face {
  font-family: "Paperlogy";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/2408-3@1.0/Paperlogy-2ExtraLight.woff2")
    format("woff2");
  font-weight: 200;
  font-display: swap;
}

@font-face {
  font-family: "Paperlogy";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/2408-3@1.0/Paperlogy-3Light.woff2")
    format("woff2");
  font-weight: 300;
  font-display: swap;
}

@font-face {
  font-family: "Paperlogy";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/2408-3@1.0/Paperlogy-4Regular.woff2")
    format("woff2");
  font-weight: 400;
  font-display: swap;
}

@font-face {
  font-family: "Paperlogy";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/2408-3@1.0/Paperlogy-5Medium.woff2")
    format("woff2");
  font-weight: 500;
  font-display: swap;
}

@font-face {
  font-family: "Paperlogy";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/2408-3@1.0/Paperlogy-6SemiBold.woff2")
    format("woff2");
  font-weight: 600;
  font-display: swap;
}

@font-face {
  font-family: "Paperlogy";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/2408-3@1.0/Paperlogy-7Bold.woff2")
    format("woff2");
  font-weight: 700;
  font-display: swap;
}

@font-face {
  font-family: "Paperlogy";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/2408-3@1.0/Paperlogy-8ExtraBold.woff2")
    format("woff2");
  font-weight: 800;
  font-display: swap;
}

@font-face {
  font-family: "Paperlogy";
  src: url("https://cdn.jsdelivr.net/gh/projectnoonnu/2408-3@1.0/Paperlogy-9Black.woff2")
    format("woff2");
  font-weight: 900;
  font-display: swap;
}
html,
body {
  height: 100svh;
  min-height: 100svh;
  min-width: initial;
}
:root {
  --point: #257cee;
  font-size: 18px;
}
* {
  font-family: "Paperlogy" !important;
  box-sizing: border-box;
}
#root{
    height: 100svh;
    width: 100svw;
}
input,
select {
  font-family: "Paperlogy" !important;
  font-size: 1em;
}
::-webkit-input-placeholder {
  color: rgba(0, 0, 0, 0.6);
}
::-moz-placeholder {
  color: rgba(0, 0, 0, 0.6);
}
:-ms-input-placeholder {
  color: rgba(0, 0, 0, 0.6);
}
.content {
  max-width: 1000px;
  margin: 0 auto;
}
.img_content {
  width: 100%;
}
.img_content img,
.img_content video {
  width: 100%;
  display: block;
}

div:has(> .submit_btn) {
  position: sticky;
  bottom: 0;
  left: 0;
}
div > .submit_btn {
  width: 100%;
  display: block;
}
div > button.submit_btn {
  display: flex;
  justify-content: center;
  align-items: center;
  font-size: 72px;
  font-weight: 800;
  color: #fff;
}
div:has(> .submit_btn.static) {
  position: relative;
}

/*기본 폼 형태*/
.form_db {
  padding: 40px 20px;
  display: flex;
  flex-direction: column;
  gap: 25px;
  position: relative;
}
.form_db .form_box {
  display: inherit;
  flex-direction: inherit;
  gap: 15px;
}
.form_db .form_box .form_row {
  display: flex;
  gap: 10px;
  border: none;
  padding: 0;
  align-items: center;
}
.form_db .form_box .form_row label.tag {
  height: 62px;
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 80px;
  flex-shrink: 0;
  border-radius: 12px;
  border: 1px solid #eee;
  background: rgba(255, 255, 255, 0.5);
}
.form_db .form_box .form_row input,
.form_db .form_box .form_row select {
  height: 62px;
  background: #fefefe;
  border: 1px solid #ccc;
  padding: 12px;
  border-radius: 12px;
  box-sizing: border-box;
  width: 100%;
  appearance: none;
}
.form_db .form_box .form_row select option {
  height: 32px;
}
.form_db .form_box .form_row select option {
  height: 32px;
}
.form_db .form_box .form_row_check {
  display: flex;
  align-items: center;
  gap: 6px;
  font-size: 0.9em;
  color: #333;
}
.form_db .form_box .form_row_check a {
  color: var(--point);
}
.form_db .form_box .form_row_check input {
  appearance: none;
  width: 16px;
  height: 16px;
  border-radius: 50%;
  background: transparent;
  border: 1px solid var(--point);
  margin: 0;
}
.form_db .form_box .form_row_check input:checked {
  background: var(--point);
}

.form_db .form_box .form_col {
  display: flex;
  flex-direction: column;
  gap: 10px;
}
.form_db .form_box .form_col > label {
}

/*선택지 형태*/
.form_db .form_box .form_row:has(.select_list) {
  align-items: start;
}
.form_db .select_list {
  display: flex;
  width: 100%;
  gap: 10px;
}
.form_db .select_list.row {
  flex-direction: row;
}
.form_db .select_list.col {
  flex-direction: column;
}
.form_db .select_list > label {
  width: 100%;
  min-width: initial;
}
/**텍스트 선택지 */
.form_db .select_list.txt > label {
  display: flex;
  width: 100%;
  justify-content: center;
  align-items: center;
  height: 62px;
  border: 1px solid #ccc;
  padding: 12px;
  border-radius: 12px;
  background: #fefefe;
  color: #666666;
  font-weight: 500;
}
.form_db .select_list.txt.row > label {
}
.form_db .select_list.txt.col > label {
  justify-content: start;
}
.form_db .select_list.txt > label:has(> input:checked) {
  background: var(--point);
  color: #ffffff;
  font-weight: 700;
}
.form_db .select_list span.value {
}
/**이미지 선택지 */
.form_db .select_list.img {
}
.form_db .select_list.img > label {
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
}
.form_db .select_list.img span.value {
  display: none;
}

.form_db .select_list input[type="radio"] {
  display: none;
}
/** */
@media all and (max-width: 560px) {
  .form_row .select_list.txt.row {
    flex-direction: column;
  }
  .form_row .select_list.txt.row > label {
    justify-content: start;
  }
}
@media all and (max-width: 480px) {
  .form_col .select_list.txt.row {
    flex-direction: column;
  }
  .form_col .select_list.txt.row > label {
    justify-content: start;
  }

  .form_row:has(> .select_list.img.row) {
    flex-direction: column;
  }
  .form_row:has(> .select_list.img.row) label.tag {
    height: 30px;
  }
}
